=== modified file 'drizzled/generator/all_tables.cc'
--- drizzled/generator/all_tables.cc	2010-07-07 17:26:24 +0000
+++ drizzled/generator/all_tables.cc	2010-07-08 22:17:25 +0000
@@ -40,6 +40,9 @@
 {
   table_names.clear();
   plugin::StorageEngine::getTableIdentifiers(session, *schema_ptr, table_names);
+#if defined(DEBUG)
+  random_shuffle(table_names.begin(), table_names.end());
+#endif
   table_iterator= table_names.begin();
 
   return true;

=== modified file 'drizzled/generator/schema.cc'
--- drizzled/generator/schema.cc	2010-07-07 17:26:24 +0000
+++ drizzled/generator/schema.cc	2010-07-08 22:17:25 +0000
@@ -33,7 +33,9 @@
   session(arg)
   {
     plugin::StorageEngine::getSchemaIdentifiers(session, schema_names);
-    schema_names.sort();
+#if defined(DEBUG)
+    random_shuffle(schema_names.begin(), schema_names.end());
+#endif
     schema_iterator= schema_names.begin();
   }
 

=== modified file 'drizzled/generator/table.cc'
--- drizzled/generator/table.cc	2010-07-07 06:52:54 +0000
+++ drizzled/generator/table.cc	2010-07-08 22:17:25 +0000
@@ -33,6 +33,9 @@
   session(arg)
 {
   plugin::StorageEngine::getTableIdentifiers(session, schema_identifier, table_names);
+#if defined(DEBUG)
+  random_shuffle(table_names.begin(), table_names.end());
+#endif
   table_iterator= table_names.begin();
 }
 

=== modified file 'drizzled/schema_identifier.h'
--- drizzled/schema_identifier.h	2010-07-07 20:20:26 +0000
+++ drizzled/schema_identifier.h	2010-07-08 22:17:25 +0000
@@ -118,7 +118,7 @@
 
 };
 
-typedef std::list <SchemaIdentifier> SchemaIdentifiers;
+typedef std::vector <SchemaIdentifier> SchemaIdentifiers;
 
 } /* namespace drizzled */
 

=== modified file 'drizzled/table_identifier.h'
--- drizzled/table_identifier.h	2010-07-08 15:28:35 +0000
+++ drizzled/table_identifier.h	2010-07-08 22:17:25 +0000
@@ -301,7 +301,7 @@
 
 std::size_t hash_value(TableIdentifier const& b);
 
-typedef std::list <TableIdentifier> TableIdentifiers;
+typedef std::vector <TableIdentifier> TableIdentifiers;
 
 } /* namespace drizzled */
 

=== modified file 'plugin/information_schema_dictionary/tests/r/tables.result'
--- plugin/information_schema_dictionary/tests/r/tables.result	2010-07-07 20:20:26 +0000
+++ plugin/information_schema_dictionary/tests/r/tables.result	2010-07-08 22:17:25 +0000
@@ -244,16 +244,15 @@
 	a	a	BASE
 SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME like "a%";
 TABLE_CATALOG	TABLE_SCHEMA	TABLE_NAME	TABLE_TYPE
+	a	a	BASE
 	a	aa	BASE
-	a	a	BASE
 SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME like "%a";
 TABLE_CATALOG	TABLE_SCHEMA	TABLE_NAME	TABLE_TYPE
+	INFORMATION_SCHEMA	SCHEMATA	VIEW
+	a	a	BASE
 	a	aa	BASE
-	a	a	BASE
-	INFORMATION_SCHEMA	SCHEMATA	VIEW
 SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME like "%s";
 TABLE_CATALOG	TABLE_SCHEMA	TABLE_NAME	TABLE_TYPE
-	a	ds	BASE
 	DATA_DICTIONARY	CHARACTER_SETS	VIEW
 	DATA_DICTIONARY	COLLATIONS	VIEW
 	DATA_DICTIONARY	COLUMNS	VIEW
@@ -297,6 +296,7 @@
 	INFORMATION_SCHEMA	TABLE_CONSTRAINTS	VIEW
 	INFORMATION_SCHEMA	TABLE_PRIVILEGES	VIEW
 	INFORMATION_SCHEMA	VIEWS	VIEW
+	a	ds	BASE
 SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA="a" ORDER BY TABLE_NAME;
 TABLE_CATALOG	TABLE_SCHEMA	TABLE_NAME	TABLE_TYPE
 	a	a	BASE

=== modified file 'plugin/information_schema_dictionary/tests/t/schemata.test'
--- plugin/information_schema_dictionary/tests/t/schemata.test	2010-07-07 19:12:58 +0000
+++ plugin/information_schema_dictionary/tests/t/schemata.test	2010-07-08 22:17:25 +0000
@@ -1,14 +1,27 @@
+#
+# 
+#
+
+--sorted_result
 select * from INFORMATION_SCHEMA.SCHEMATA;
 
 use information_schema;
 show schemas;
+--sorted_result
 select * from INFORMATION_SCHEMA.SCHEMATA;
+--sorted_result
 select * from INFORMATION_SCHEMA.SCHEMATA WHERE CATALOG_NAME=NULL;
+--sorted_result
 select * from INFORMATION_SCHEMA.SCHEMATA WHERE SCHEMA_OWNER=NULL;
+--sorted_result
 select * from INFORMATION_SCHEMA.SCHEMATA WHERE DEFAULT_CHARACTER_SET_CATALOG=NULL;
+--sorted_result
 select * from INFORMATION_SCHEMA.SCHEMATA WHERE DEFAULT_CHARACTER_SET_SCHEMA=NULL;
+--sorted_result
 select * from INFORMATION_SCHEMA.SCHEMATA WHERE DEFAULT_CHARACTER_SET_NAME=NULL;
+--sorted_result
 select * from INFORMATION_SCHEMA.SCHEMATA WHERE SCHEMA_NAME="data_dictionary";
+--sorted_result
 select * from INFORMATION_SCHEMA.SCHEMATA WHERE SCHEMA_NAME="information_schema";
 select * from INFORMATION_SCHEMA.SCHEMATA ORDER BY SCHEMA_NAME;
 select * from INFORMATION_SCHEMA.SCHEMATA ORDER BY SCHEMA_NAME,CATALOG_NAME;
@@ -22,10 +35,15 @@
 create schema ds;
 create schema aa;
 
+--sorted_result
 SELECT * FROM INFORMATION_SCHEMA.SCHEMATA WHERE SCHEMA_NAME="a";
+--sorted_result
 SELECT * FROM INFORMATION_SCHEMA.SCHEMATA WHERE SCHEMA_NAME like "a%";
+--sorted_result
 SELECT * FROM INFORMATION_SCHEMA.SCHEMATA WHERE SCHEMA_NAME like "%a";
+--sorted_result
 SELECT * FROM INFORMATION_SCHEMA.SCHEMATA WHERE SCHEMA_NAME like "%s";
+--sorted_result
 SELECT * FROM INFORMATION_SCHEMA.SCHEMATA;
 SELECT * FROM INFORMATION_SCHEMA.SCHEMATA ORDER BY SCHEMA_NAME;
 

=== modified file 'plugin/information_schema_dictionary/tests/t/tables.test'
--- plugin/information_schema_dictionary/tests/t/tables.test	2010-07-07 20:20:26 +0000
+++ plugin/information_schema_dictionary/tests/t/tables.test	2010-07-08 22:17:25 +0000
@@ -1,18 +1,27 @@
+--sorted_result
 select * from INFORMATION_SCHEMA.SCHEMATA;
+--sorted_result
 select * from INFORMATION_SCHEMA.TABLES;
 
 use information_schema;
 show schemas;
+--sorted_result
 select * from INFORMATION_SCHEMA.TABLES;
+--sorted_result
 select * from INFORMATION_SCHEMA.TABLES WHERE TABLE_CATALOG=NULL;
+--sorted_result
 select * from INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA=NULL;
+--sorted_result
 select * from INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME=NULL;
+--sorted_result
 select * from INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA="information_schema" AND TABLE_TYPE="STANDARD";
+--sorted_result
 select * from INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA="information_schema" AND TABLE_TYPE="VIEW";
 select * from INFORMATION_SCHEMA.TABLES ORDER BY TABLE_SCHEMA, TABLE_NAME;
 
 ## Now lets test schema creation;
 create schema a;
+--sorted_result
 SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA="a";
 
 use a;
@@ -26,12 +35,17 @@
 
 show tables;
 
+--sorted_result
 SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME="a";
+--sorted_result
 SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME like "a%";
+--sorted_result
 SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME like "%a";
+--sorted_result
 SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME like "%s";
 SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA="a" ORDER BY TABLE_NAME;
 
 drop schema a;
 
+--sorted_result
 SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA="a";

=== modified file 'plugin/schema_dictionary/tests/r/data_dictionary.result'
--- plugin/schema_dictionary/tests/r/data_dictionary.result	2010-07-08 01:02:22 +0000
+++ plugin/schema_dictionary/tests/r/data_dictionary.result	2010-07-08 22:17:25 +0000
@@ -16,480 +16,480 @@
 test
 SELECT COLUMN_NAME  FROM columns;
 COLUMN_NAME
-CHARACTER_SET_NAME
+APPLIER
+AS_LOCATOR
+AUTO_INCREMENT
+AVG_ROW_LENGTH
+Auto_increment
+Avg_row_length
+BLOCKING_LOCK_ID
+BLOCKING_TRX_ID
+CATALOG_NAME
+CHARACTER_MAXIMUM_LENGTH
+CHARACTER_MAXIMUM_LENGTH
+CHARACTER_MAXIMUM_LENGTH
+CHARACTER_MAXIMUM_LENGTH
+CHARACTER_MAXIMUM_LENGTH
+CHARACTER_MAXIMUM_LENGTH
+CHARACTER_OCTET_LENGTH
+CHARACTER_OCTET_LENGTH
+CHARACTER_OCTET_LENGTH
+CHARACTER_OCTET_LENGTH
+CHARACTER_OCTET_LENGTH
+CHARACTER_OCTET_LENGTH
+CHARACTER_OCTET_LENGTH
+CHARACTER_SET_CATALOG
+CHARACTER_SET_CATALOG
+CHARACTER_SET_CATALOG
+CHARACTER_SET_CATALOG
+CHARACTER_SET_CATALOG
+CHARACTER_SET_NAME
+CHARACTER_SET_NAME
+CHARACTER_SET_NAME
+CHARACTER_SET_NAME
+CHARACTER_SET_NAME
+CHARACTER_SET_NAME
+CHARACTER_SET_NAME
+CHARACTER_SET_SCHEMA
+CHARACTER_SET_SCHEMA
+CHARACTER_SET_SCHEMA
+CHARACTER_SET_SCHEMA
+CHARACTER_SET_SCHEMA
+CHECK_CLAUSE
+CHECK_OPTION
+COLLATION_CATALOG
+COLLATION_CATALOG
+COLLATION_CATALOG
+COLLATION_CATALOG
+COLLATION_CATALOG
+COLLATION_NAME
+COLLATION_NAME
+COLLATION_NAME
+COLLATION_NAME
+COLLATION_NAME
+COLLATION_NAME
+COLLATION_NAME
+COLLATION_SCHEMA
+COLLATION_SCHEMA
+COLLATION_SCHEMA
+COLLATION_SCHEMA
+COLLATION_SCHEMA
+COLUMN_COMMENT
+COLUMN_DEFAULT
+COLUMN_DEFAULT
+COLUMN_DEFAULT
+COLUMN_DEFAULT_IS_NULL
+COLUMN_DEFAULT_UPDATE
+COLUMN_NAME
+COLUMN_NAME
+COLUMN_NAME
+COLUMN_NAME
+COLUMN_NAME
+COLUMN_NAME
+COLUMN_NAME
+COLUMN_NAME
+COLUMN_NAME
+COLUMN_NAME
+COLUMN_NUMBER
+COLUMN_TYPE
+COMMAND
+COMPARE_LENGTH
+COMPRESS_OPS
+COMPRESS_OPS
+COMPRESS_OPS_OK
+COMPRESS_OPS_OK
+COMPRESS_TIME
+COMPRESS_TIME
+CONSTRAINT_CATALOG
+CONSTRAINT_CATALOG
+CONSTRAINT_CATALOG
+CONSTRAINT_CATALOG
+CONSTRAINT_CATALOG
+CONSTRAINT_CATALOG
+CONSTRAINT_CATALOG
+CONSTRAINT_NAME
+CONSTRAINT_NAME
+CONSTRAINT_NAME
+CONSTRAINT_NAME
+CONSTRAINT_NAME
+CONSTRAINT_NAME
+CONSTRAINT_NAME
+CONSTRAINT_NAME
+CONSTRAINT_NAME
+CONSTRAINT_SCHEMA
+CONSTRAINT_SCHEMA
+CONSTRAINT_SCHEMA
+CONSTRAINT_SCHEMA
+CONSTRAINT_SCHEMA
+CONSTRAINT_SCHEMA
+CONSTRAINT_SCHEMA
+CONSTRAINT_SCHEMA
+CONSTRAINT_SCHEMA
+CONSTRAINT_TYPE
+CONSTRAINT_TYPE
+COUNT_ADMIN
+COUNT_ADMIN
+COUNT_ALTER
+COUNT_ALTER
+COUNT_COMMIT
+COUNT_COMMIT
+COUNT_CREATE
+COUNT_CREATE
+COUNT_DELETE
+COUNT_DELETE
+COUNT_DROP
+COUNT_DROP
+COUNT_INSERT
+COUNT_INSERT
+COUNT_ROLLBACK
+COUNT_ROLLBACK
+COUNT_SELECT
+COUNT_SELECT
+COUNT_UPDATE
+COUNT_UPDATE
+CREATED
+Column_name
+DATA_TYPE
+DATA_TYPE
+DATA_TYPE
+DATA_TYPE
+DATA_TYPE
+DATA_TYPE
+DATETIME_PRECISION
+DATETIME_PRECISION
+DATETIME_PRECISION
+DATETIME_PRECISION
+DATETIME_PRECISION
+DB
+DEFAULT_CHARACTER_SET_CATALOG
+DEFAULT_CHARACTER_SET_NAME
+DEFAULT_CHARACTER_SET_SCHEMA
 DEFAULT_COLLATE_NAME
-DESCRIPTION
-MAXLEN
-CHARACTER_SET_NAME
-COLLATION_NAME
-DESCRIPTION
-ID
+DEFAULT_COLLATION_NAME
+DELETE_RULE
+DELETE_RULE
+DESCRIPTION
+DESCRIPTION
+DOMAIN_CATALOG
+DOMAIN_CATALOG
+DOMAIN_CATALOG
+DOMAIN_CATALOG
+DOMAIN_CATALOG
+DOMAIN_DEFAULT
+DOMAIN_NAME
+DOMAIN_NAME
+DOMAIN_NAME
+DOMAIN_NAME
+DOMAIN_NAME
+DOMAIN_SCHEMA
+DOMAIN_SCHEMA
+DOMAIN_SCHEMA
+DOMAIN_SCHEMA
+DOMAIN_SCHEMA
+DTD_IDENTIFIER
+Default
+Default_is_NULL
+ENGINE
+ENGINE
+EXTERNAL_LANGUAGE
+EXTERNAL_NAME
+Engine
+Field
+GRANTEE
+GRANTEE
+GRANTOR
+GRANTOR
+HOST
+ID
+ID
+INDEXES_FOUND_IN
+INDEX_COMMENT
+INDEX_NAME
+INDEX_NAME
+INDEX_TYPE
+INFO
+INITIALLY_DEFERRED
+INITIALLY_DEFERRED
+INTERVAL_PRECISION
+INTERVAL_PRECISION
+INTERVAL_TYPE
+INTERVAL_TYPE
+IP
+IS_ACTIVE
+IS_BUILTIN
+IS_COMPILED
 IS_DEFAULT
-IS_COMPILED
-SORTLEN
-TABLE_SCHEMA
-TABLE_NAME
-COLUMN_NAME
-COLUMN_TYPE
-ORDINAL_POSITION
-COLUMN_DEFAULT
-COLUMN_DEFAULT_IS_NULL
-COLUMN_DEFAULT_UPDATE
-IS_NULLABLE
+IS_DEFERRABLE
+IS_DEFERRABLE
+IS_DETERMINISTIC
+IS_FIRST_IN_MULTI
+IS_GRANTABLE
+IS_GRANTABLE
+IS_IMPLICITLY_INVOCABLE
 IS_INDEXED
-IS_USED_IN_PRIMARY
-IS_UNIQUE
 IS_MULTI
-IS_FIRST_IN_MULTI
-INDEXES_FOUND_IN
-DATA_TYPE
-CHARACTER_MAXIMUM_LENGTH
-CHARACTER_OCTET_LENGTH
-NUMERIC_PRECISION
-NUMERIC_SCALE
-COLLATION_NAME
-COLUMN_COMMENT
-USER
-COUNT_SELECT
-COUNT_DELETE
-COUNT_UPDATE
-COUNT_INSERT
-COUNT_ROLLBACK
-COUNT_COMMIT
-COUNT_CREATE
-COUNT_ALTER
-COUNT_DROP
-COUNT_ADMIN
-USER
-IP
-COUNT_SELECT
-COUNT_DELETE
-COUNT_UPDATE
-COUNT_INSERT
-COUNT_ROLLBACK
-COUNT_COMMIT
-COUNT_CREATE
-COUNT_ALTER
-COUNT_DROP
-COUNT_ADMIN
-VARIABLE_NAME
-VARIABLE_VALUE
-VARIABLE_NAME
-VARIABLE_VALUE
-VARIABLE_NAME
-VARIABLE_VALUE
-TABLE_SCHEMA
-TABLE_NAME
-INDEX_NAME
-IS_USED_IN_PRIMARY
-IS_UNIQUE
-IS_NULLABLE
+IS_NAME_LOCKED
+IS_NAME_LOCKED
+IS_NULLABLE
+IS_NULLABLE
+IS_NULLABLE
+IS_NULLABLE
+IS_NULLABLE
+IS_NULL_CALL
+IS_ORDER_REVERSE
+IS_RESULT
+IS_UNIQUE
+IS_UNIQUE
+IS_UNIQUE
+IS_UPDATABLE
+IS_USED_IN_PRIMARY
+IS_USED_IN_PRIMARY
+IS_USED_IN_PRIMARY
+IS_USER_DEFINED_CAST
 KEY_LENGTH
-INDEX_TYPE
-INDEX_COMMENT
-TABLE_SCHEMA
-TABLE_NAME
-INDEX_NAME
-COLUMN_NAME
-COLUMN_NUMBER
-SEQUENCE_IN_INDEX
-COMPARE_LENGTH
-IS_ORDER_REVERSE
-IS_USED_IN_PRIMARY
-IS_UNIQUE
-IS_NULLABLE
-PAGE_SIZE
-COMPRESS_OPS
-COMPRESS_OPS_OK
-COMPRESS_TIME
-UNCOMPRESS_OPS
-UNCOMPRESS_TIME
-PAGE_SIZE
-PAGES_USED
-PAGES_FREE
-RELOCATION_OPS
-RELOCATION_TIME
-PAGE_SIZE
-PAGES_USED
-PAGES_FREE
-RELOCATION_OPS
-RELOCATION_TIME
-PAGE_SIZE
-COMPRESS_OPS
-COMPRESS_OPS_OK
-COMPRESS_TIME
-UNCOMPRESS_OPS
-UNCOMPRESS_TIME
-TABLE_NAME
+Key_name
+LAST_ALTERED
+LOCK_DATA
 LOCK_ID
-LOCK_TRX_ID
+LOCK_INDEX
 LOCK_MODE
-LOCK_TYPE
-LOCK_TABLE
-LOCK_INDEX
-LOCK_SPACE
 LOCK_PAGE
 LOCK_REC
-LOCK_DATA
-REQUESTING_TRX_ID
-REQUESTED_LOCK_ID
-BLOCKING_TRX_ID
-BLOCKING_LOCK_ID
-VARIABLE_NAME
-VARIABLE_VALUE
-TRX_ID
-TRX_STATE
-TRX_STARTED
-TRX_REQUESTED_LOCK_ID
-TRX_WAIT_STARTED
-TRX_WEIGHT
-TRX_DRIZZLE_THREAD_ID
-TRX_QUERY
-MODULE_NAME
-MODULE_VERSION
+LOCK_SPACE
+LOCK_TABLE
+LOCK_TRX_ID
+LOCK_TYPE
+MATCH_OPTION
+MATCH_OPTION
+MAXIMUM_CARDINALITY
+MAXLEN
+MAX_DYNAMIC_RESULT_SETS
 MODULE_AUTHOR
-IS_BUILTIN
+MODULE_CATALOG
+MODULE_DESCRIPTION
 MODULE_LIBRARY
-MODULE_DESCRIPTION
 MODULE_LICENSE
+MODULE_NAME
+MODULE_NAME
+MODULE_NAME
+MODULE_SCHEMA
+MODULE_VERSION
+NUMERIC_PRECISION
+NUMERIC_PRECISION
+NUMERIC_PRECISION
+NUMERIC_PRECISION
+NUMERIC_PRECISION
+NUMERIC_PRECISION
+NUMERIC_PRECISION_RADIX
+NUMERIC_PRECISION_RADIX
+NUMERIC_PRECISION_RADIX
+NUMERIC_PRECISION_RADIX
+NUMERIC_PRECISION_RADIX
+NUMERIC_SCALE
+NUMERIC_SCALE
+NUMERIC_SCALE
+NUMERIC_SCALE
+NUMERIC_SCALE
+NUMERIC_SCALE
+Name
+Null
+ORDINAL_POSITION
+ORDINAL_POSITION
+ORDINAL_POSITION
+ORDINAL_POSITION
+ORDINAL_POSITION
+On_Update
+PAGES_FREE
+PAGES_FREE
+PAGES_USED
+PAGES_USED
+PAGE_SIZE
+PAGE_SIZE
+PAGE_SIZE
+PAGE_SIZE
+PARAMETER_MODE
+PARAMETER_NAME
+PARAMETER_STYLE
 PLUGIN_NAME
 PLUGIN_TYPE
-IS_ACTIVE
-MODULE_NAME
-ID
-USER
-HOST
-DB
-COMMAND
-TIME
-STATE
-INFO
-CONSTRAINT_SCHEMA
-CONSTRAINT_NAME
-UNIQUE_CONSTRAINT_SCHEMA
-UNIQUE_CONSTRAINT_NAME
-MATCH_OPTION
-UPDATE_RULE
-DELETE_RULE
-TABLE_NAME
+PRIVILEGE_TYPE
+PRIVILEGE_TYPE
+RECORDS
+RECORD_LENGTH
 REFERENCED_TABLE_NAME
+RELOCATION_OPS
+RELOCATION_OPS
+RELOCATION_TIME
+RELOCATION_TIME
 REPLICATOR
-APPLIER
-SCHEMA_NAME
-DEFAULT_COLLATION_NAME
+REQUESTED_LOCK_ID
+REQUESTING_TRX_ID
+ROUTINE_BODY
+ROUTINE_CATALOG
+ROUTINE_DEFINITION
+ROUTINE_NAME
+ROUTINE_SCHEMA
+ROWS
+ROW_FORMAT
+Rows
 SCHEMA_CREATION_TIME
+SCHEMA_LEVEL_ROUTINE
+SCHEMA_NAME
+SCHEMA_NAME
+SCHEMA_NAME
+SCHEMA_OWNER
 SCHEMA_UPDATE_TIME
-VARIABLE_NAME
-VARIABLE_VALUE
-VARIABLE_NAME
-VARIABLE_VALUE
-VARIABLE_NAME
-VARIABLE_VALUE
-Field
-Type
-Null
-Default
-Default_is_NULL
-On_Update
-Table
-Unique
-Key_name
+SCOPE_CATALOG
+SCOPE_CATALOG
+SCOPE_NAME
+SCOPE_NAME
+SCOPE_SCHEMA
+SCOPE_SCHEMA
+SEQUENCE_IN_INDEX
+SESSION_ID
+SORTLEN
+SPECIFIC_CATALOG
+SPECIFIC_CATALOG
+SPECIFIC_NAME
+SPECIFIC_NAME
+SPECIFIC_SCHEMA
+SPECIFIC_SCHEMA
+SQL_DATA_ACCESS
+SQL_PATH
+STATE
+Schema
 Seq_in_index
-Column_name
-SCHEMA_NAME
-TABLE_NAME
 Session
-Schema
-Name
-Type
-Engine
-Version
-Rows
-Avg_row_length
-Table_size
-Auto_increment
-TABLE_SCHEMA
-TABLE_NAME
-RECORDS
-RECORD_LENGTH
-ENGINE
-TABLE_SCHEMA
-TABLE_NAME
-TABLE_TYPE
-ENGINE
-ROW_FORMAT
+TABLE_CATALOG
+TABLE_CATALOG
+TABLE_CATALOG
+TABLE_CATALOG
+TABLE_CATALOG
+TABLE_CATALOG
+TABLE_CATALOG
+TABLE_CATALOG
+TABLE_CATALOG
+TABLE_CATALOG
+TABLE_CATALOG
+TABLE_CATALOG
+TABLE_CATALOG
+TABLE_CATALOG
 TABLE_COLLATION
+TABLE_COMMENT
+TABLE_COUNT
 TABLE_CREATION_TIME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_NAME
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SCHEMA
+TABLE_SIZE
+TABLE_TYPE
+TABLE_TYPE
 TABLE_UPDATE_TIME
-TABLE_COMMENT
-SESSION_ID
-TABLE_SCHEMA
-TABLE_NAME
-VERSION
-IS_NAME_LOCKED
-ROWS
-AVG_ROW_LENGTH
-TABLE_SIZE
-AUTO_INCREMENT
-CONSTRAINT_SCHEMA
-CONSTRAINT_NAME
-TABLE_SCHEMA
-TABLE_NAME
-CONSTRAINT_TYPE
-TABLE_SCHEMA
-TABLE_NAME
-VERSION
-TABLE_COUNT
-IS_NAME_LOCKED
-CONSTRAINT_CATALOG
-CONSTRAINT_SCHEMA
-CONSTRAINT_NAME
-CHECK_CLAUSE
-TABLE_CATALOG
-TABLE_SCHEMA
-TABLE_NAME
-COLUMN_NAME
-ORDINAL_POSITION
-COLUMN_DEFAULT
-IS_NULLABLE
-DATA_TYPE
-CHARACTER_MAXIMUM_LENGTH
-CHARACTER_OCTET_LENGTH
-NUMERIC_PRECISION
-NUMERIC_PRECISION_RADIX
-NUMERIC_SCALE
-DATETIME_PRECISION
-CHARACTER_SET_CATALOG
-CHARACTER_SET_SCHEMA
-CHARACTER_SET_NAME
-COLLATION_CATALOG
-COLLATION_SCHEMA
-COLLATION_NAME
-DOMAIN_CATALOG
-DOMAIN_SCHEMA
-DOMAIN_NAME
-DOMAIN_CATALOG
-DOMAIN_SCHEMA
-DOMAIN_NAME
-TABLE_CATALOG
-TABLE_SCHEMA
-TABLE_NAME
-COLUMN_NAME
-GRANTOR
-GRANTEE
-TABLE_CATALOG
-TABLE_SCHEMA
-TABLE_NAME
-COLUMN_NAME
-PRIVILEGE_TYPE
-IS_GRANTABLE
-TABLE_CATALOG
-TABLE_SCHEMA
-TABLE_NAME
-COLUMN_NAME
-CONSTRAINT_CATALOG
-CONSTRAINT_SCHEMA
-CONSTRAINT_NAME
-TABLE_CATALOG
-TABLE_SCHEMA
-TABLE_NAME
-CONSTRAINT_CATALOG
-CONSTRAINT_SCHEMA
-CONSTRAINT_NAME
-DOMAIN_CATALOG
-DOMAIN_SCHEMA
-DOMAIN_NAME
-DATA_TYPE
-CHARACTER_MAXIMUM_LENGTH
-CHARACTER_OCTET_LENGTH
-COLLATION_CATALOG
-COLLATION_SCHEMA
-COLLATION_NAME
-CHARACTER_SET_CATALOG
-CHARACTER_SET_SCHEMA
-CHARACTER_SET_NAME
-NUMERIC_PRECISION
-NUMERIC_PRECISION_RADIX
-NUMERIC_SCALE
-DATETIME_PRECISION
-DOMAIN_DEFAULT
-CONSTRAINT_CATALOG
-CONSTRAINT_SCHEMA
-CONSTRAINT_NAME
-DOMAIN_CATALOG
-DOMAIN_SCHEMA
-DOMAIN_NAME
-IS_DEFERRABLE
-INITIALLY_DEFERRED
-CONSTRAINT_CATALOG
-CONSTRAINT_SCHEMA
-CONSTRAINT_NAME
-TABLE_CATALOG
-TABLE_SCHEMA
-TABLE_NAME
-COLUMN_NAME
-ORDINAL_POSITION
-SPECIFIC_CATALOG
-SPECIFIC_SCHEMA
-SPECIFIC_NAME
-ORDINAL_POSITION
-PARAMETER_MODE
-IS_RESULT
-AS_LOCATOR
-PARAMETER_NAME
-DATA_TYPE
-CHARACTER_MAXIMUM_LENGTH
-CHARACTER_OCTET_LENGTH
-CHARACTER_OCTET_LENGTH
-COLLATION_CATALOG
-COLLATION_SCHEMA
-COLLATION_NAME
-CHARACTER_SET_CATALOG
-CHARACTER_SET_SCHEMA
-CHARACTER_SET_NAME
-NUMERIC_PRECISION
-NUMERIC_PRECISION_RADIX
-NUMERIC_SCALE
-DATETIME_PRECISION
-INTERVAL_TYPE
-INTERVAL_PRECISION
+TIME
+TRX_DRIZZLE_THREAD_ID
+TRX_ID
+TRX_QUERY
+TRX_REQUESTED_LOCK_ID
+TRX_STARTED
+TRX_STATE
+TRX_WAIT_STARTED
+TRX_WEIGHT
+TYPE_UDT_CATALOG
+TYPE_UDT_NAME
+TYPE_UDT_SCHEMA
+Table
+Table_size
+Type
+Type
+UDT_CATALOG
+UDT_NAME
+UDT_SCHEMA
+UNCOMPRESS_OPS
+UNCOMPRESS_OPS
+UNCOMPRESS_TIME
+UNCOMPRESS_TIME
+UNIQUE_CONSTRAINT_CATALOG
+UNIQUE_CONSTRAINT_NAME
+UNIQUE_CONSTRAINT_NAME
+UNIQUE_CONSTRAINT_SCHEMA
+UNIQUE_CONSTRAINT_SCHEMA
+UPDATE_RULE
+UPDATE_RULE
+USER
+USER
+USER
 USER_DEFINED_TYPE_CATALOG
+USER_DEFINED_TYPE_NAME
 USER_DEFINED_TYPE_SCHEMA
-USER_DEFINED_TYPE_NAME
-SCOPE_CATALOG
-SCOPE_SCHEMA
-SCOPE_NAME
-CONSTRAINT_CATALOG
-CONSTRAINT_SCHEMA
-CONSTRAINT_NAME
-UNIQUE_CONSTRAINT_CATALOG
-UNIQUE_CONSTRAINT_SCHEMA
-UNIQUE_CONSTRAINT_NAME
-MATCH_OPTION
-UPDATE_RULE
-DELETE_RULE
-SPECIFIC_CATALOG
-SPECIFIC_SCHEMA
-SPECIFIC_NAME
-ROUTINE_CATALOG
-ROUTINE_SCHEMA
-ROUTINE_NAME
-MODULE_CATALOG
-MODULE_SCHEMA
-MODULE_NAME
-UDT_CATALOG
-UDT_SCHEMA
-UDT_NAME
-DATA_TYPE
-CHARACTER_MAXIMUM_LENGTH
-CHARACTER_OCTET_LENGTH
-COLLATION_CATALOG
-COLLATION_SCHEMA
-COLLATION_NAME
-CHARACTER_SET_CATALOG
-CHARACTER_SET_SCHEMA
-CHARACTER_SET_NAME
-TABLE_CATALOG
-TABLE_SCHEMA
-TABLE_NAME
-NUMERIC_PRECISION
-NUMERIC_PRECISION_RADIX
-NUMERIC_SCALE
-DATETIME_PRECISION
-INTERVAL_TYPE
-INTERVAL_PRECISION
-TYPE_UDT_CATALOG
-TYPE_UDT_SCHEMA
-TYPE_UDT_NAME
-SCOPE_CATALOG
-SCOPE_SCHEMA
-SCOPE_NAME
-MAXIMUM_CARDINALITY
-DTD_IDENTIFIER
-ROUTINE_BODY
-ROUTINE_DEFINITION
-EXTERNAL_NAME
-EXTERNAL_LANGUAGE
-PARAMETER_STYLE
-IS_DETERMINISTIC
-SQL_DATA_ACCESS
-IS_NULL_CALL
-SQL_PATH
-SCHEMA_LEVEL_ROUTINE
-MAX_DYNAMIC_RESULT_SETS
-IS_USER_DEFINED_CAST
-IS_IMPLICITLY_INVOCABLE
-CREATED
-LAST_ALTERED
-TABLE_CATALOG
-TABLE_SCHEMA
-TABLE_NAME
-COLUMN_NAME
-ORDINAL_POSITION
-COLUMN_DEFAULT
-IS_NULLABLE
-DATA_TYPE
-CHARACTER_MAXIMUM_LENGTH
-CHARACTER_OCTET_LENGTH
-NUMERIC_PRECISION
-NUMERIC_PRECISION_RADIX
-NUMERIC_SCALE
-DATETIME_PRECISION
-CHARACTER_SET_CATALOG
-CHARACTER_SET_SCHEMA
-CHARACTER_SET_NAME
-COLLATION_CATALOG
-COLLATION_SCHEMA
-COLLATION_NAME
-DOMAIN_CATALOG
-DOMAIN_SCHEMA
-DOMAIN_NAME
-CATALOG_NAME
-SCHEMA_NAME
-SCHEMA_OWNER
-DEFAULT_CHARACTER_SET_CATALOG
-DEFAULT_CHARACTER_SET_SCHEMA
-DEFAULT_CHARACTER_SET_NAME
-TABLE_CATALOG
-TABLE_SCHEMA
-TABLE_NAME
-TABLE_TYPE
-CONSTRAINT_CATALOG
-CONSTRAINT_SCHEMA
-CONSTRAINT_NAME
-TABLE_CATALOG
-TABLE_SCHEMA
-TABLE_NAME
-CONSTRAINT_TYPE
-IS_DEFERRABLE
-INITIALLY_DEFERRED
-GRANTOR
-GRANTEE
-TABLE_CATALOG
-TABLE_SCHEMA
-TABLE_NAME
-COLUMN_NAME
-PRIVILEGE_TYPE
-IS_GRANTABLE
-VIEW_CATALOG
-VIEW_SCHEMA
-VIEW_NAME
-TABLE_CATALOG
-TABLE_SCHEMA
-TABLE_NAME
-VIEW_CATALOG
-VIEW_SCHEMA
-VIEW_NAME
-TABLE_CATALOG
-TABLE_SCHEMA
-TABLE_NAME
-COLUMN_NAME
-TABLE_CATALOG
-TABLE_SCHEMA
-TABLE_NAME
+Unique
+VARIABLE_NAME
+VARIABLE_NAME
+VARIABLE_NAME
+VARIABLE_NAME
+VARIABLE_NAME
+VARIABLE_NAME
+VARIABLE_NAME
+VARIABLE_VALUE
+VARIABLE_VALUE
+VARIABLE_VALUE
+VARIABLE_VALUE
+VARIABLE_VALUE
+VARIABLE_VALUE
+VARIABLE_VALUE
+VERSION
+VERSION
+VIEW_CATALOG
+VIEW_CATALOG
 VIEW_DEFINITION
-CHECK_OPTION
-IS_UPDATABLE
+VIEW_NAME
+VIEW_NAME
+VIEW_SCHEMA
+VIEW_SCHEMA
+Version
 SELECT count(*) FROM REFERENTIAL_CONSTRAINTS;
 count(*)
 0
@@ -602,7 +602,6 @@
 use data_dictionary;
 SELECT TABLE_SCHEMA,TABLE_NAME,COLUMN_NAME from COLUMNS ORDER BY TABLE_SCHEMA,TABLE_NAME, COLUMN_NAME;
 TABLE_SCHEMA	TABLE_NAME	COLUMN_NAME
-a	a	a
 DATA_DICTIONARY	CHARACTER_SETS	CHARACTER_SET_NAME
 DATA_DICTIONARY	CHARACTER_SETS	DEFAULT_COLLATE_NAME
 DATA_DICTIONARY	CHARACTER_SETS	DESCRIPTION
@@ -1077,13 +1076,17 @@
 INFORMATION_SCHEMA	VIEW_TABLE_USAGE	TABLE_NAME
 INFORMATION_SCHEMA	VIEW_TABLE_USAGE	TABLE_SCHEMA
 INFORMATION_SCHEMA	VIEW_TABLE_USAGE	VIEW_DEFINITION
+a	a	a
 SELECT TABLE_NAME,TABLE_SCHEMA,COLUMN_NAME from COLUMNS ORDER BY TABLE_SCHEMA,TABLE_NAME, COLUMN_NAME;
 TABLE_NAME	TABLE_SCHEMA	COLUMN_NAME
-a	a	a
 CHARACTER_SETS	DATA_DICTIONARY	CHARACTER_SET_NAME
 CHARACTER_SETS	DATA_DICTIONARY	DEFAULT_COLLATE_NAME
 CHARACTER_SETS	DATA_DICTIONARY	DESCRIPTION
 CHARACTER_SETS	DATA_DICTIONARY	MAXLEN
+CHECK_CONSTRAINTS	INFORMATION_SCHEMA	CHECK_CLAUSE
+CHECK_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_CATALOG
+CHECK_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_NAME
+CHECK_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_SCHEMA
 COLLATIONS	DATA_DICTIONARY	CHARACTER_SET_NAME
 COLLATIONS	DATA_DICTIONARY	COLLATION_NAME
 COLLATIONS	DATA_DICTIONARY	DESCRIPTION
@@ -1113,6 +1116,57 @@
 COLUMNS	DATA_DICTIONARY	ORDINAL_POSITION
 COLUMNS	DATA_DICTIONARY	TABLE_NAME
 COLUMNS	DATA_DICTIONARY	TABLE_SCHEMA
+COLUMNS	INFORMATION_SCHEMA	CHARACTER_MAXIMUM_LENGTH
+COLUMNS	INFORMATION_SCHEMA	CHARACTER_OCTET_LENGTH
+COLUMNS	INFORMATION_SCHEMA	CHARACTER_SET_CATALOG
+COLUMNS	INFORMATION_SCHEMA	CHARACTER_SET_NAME
+COLUMNS	INFORMATION_SCHEMA	CHARACTER_SET_SCHEMA
+COLUMNS	INFORMATION_SCHEMA	COLLATION_CATALOG
+COLUMNS	INFORMATION_SCHEMA	COLLATION_NAME
+COLUMNS	INFORMATION_SCHEMA	COLLATION_SCHEMA
+COLUMNS	INFORMATION_SCHEMA	COLUMN_DEFAULT
+COLUMNS	INFORMATION_SCHEMA	COLUMN_NAME
+COLUMNS	INFORMATION_SCHEMA	DATA_TYPE
+COLUMNS	INFORMATION_SCHEMA	DATETIME_PRECISION
+COLUMNS	INFORMATION_SCHEMA	DOMAIN_CATALOG
+COLUMNS	INFORMATION_SCHEMA	DOMAIN_NAME
+COLUMNS	INFORMATION_SCHEMA	DOMAIN_SCHEMA
+COLUMNS	INFORMATION_SCHEMA	IS_NULLABLE
+COLUMNS	INFORMATION_SCHEMA	NUMERIC_PRECISION
+COLUMNS	INFORMATION_SCHEMA	NUMERIC_PRECISION_RADIX
+COLUMNS	INFORMATION_SCHEMA	NUMERIC_SCALE
+COLUMNS	INFORMATION_SCHEMA	ORDINAL_POSITION
+COLUMNS	INFORMATION_SCHEMA	TABLE_CATALOG
+COLUMNS	INFORMATION_SCHEMA	TABLE_NAME
+COLUMNS	INFORMATION_SCHEMA	TABLE_SCHEMA
+COLUMN_DOMAIN_USAGE	INFORMATION_SCHEMA	COLUMN_NAME
+COLUMN_DOMAIN_USAGE	INFORMATION_SCHEMA	DOMAIN_CATALOG
+COLUMN_DOMAIN_USAGE	INFORMATION_SCHEMA	DOMAIN_NAME
+COLUMN_DOMAIN_USAGE	INFORMATION_SCHEMA	DOMAIN_SCHEMA
+COLUMN_DOMAIN_USAGE	INFORMATION_SCHEMA	TABLE_CATALOG
+COLUMN_DOMAIN_USAGE	INFORMATION_SCHEMA	TABLE_NAME
+COLUMN_DOMAIN_USAGE	INFORMATION_SCHEMA	TABLE_SCHEMA
+COLUMN_PRIVILEGES	INFORMATION_SCHEMA	COLUMN_NAME
+COLUMN_PRIVILEGES	INFORMATION_SCHEMA	GRANTEE
+COLUMN_PRIVILEGES	INFORMATION_SCHEMA	GRANTOR
+COLUMN_PRIVILEGES	INFORMATION_SCHEMA	IS_GRANTABLE
+COLUMN_PRIVILEGES	INFORMATION_SCHEMA	PRIVILEGE_TYPE
+COLUMN_PRIVILEGES	INFORMATION_SCHEMA	TABLE_CATALOG
+COLUMN_PRIVILEGES	INFORMATION_SCHEMA	TABLE_NAME
+COLUMN_PRIVILEGES	INFORMATION_SCHEMA	TABLE_SCHEMA
+CONSTRAINT_COLUMN_USAGE	INFORMATION_SCHEMA	COLUMN_NAME
+CONSTRAINT_COLUMN_USAGE	INFORMATION_SCHEMA	CONSTRAINT_CATALOG
+CONSTRAINT_COLUMN_USAGE	INFORMATION_SCHEMA	CONSTRAINT_NAME
+CONSTRAINT_COLUMN_USAGE	INFORMATION_SCHEMA	CONSTRAINT_SCHEMA
+CONSTRAINT_COLUMN_USAGE	INFORMATION_SCHEMA	TABLE_CATALOG
+CONSTRAINT_COLUMN_USAGE	INFORMATION_SCHEMA	TABLE_NAME
+CONSTRAINT_COLUMN_USAGE	INFORMATION_SCHEMA	TABLE_SCHEMA
+CONSTRAINT_TABLE_USAGE	INFORMATION_SCHEMA	CONSTRAINT_CATALOG
+CONSTRAINT_TABLE_USAGE	INFORMATION_SCHEMA	CONSTRAINT_NAME
+CONSTRAINT_TABLE_USAGE	INFORMATION_SCHEMA	CONSTRAINT_SCHEMA
+CONSTRAINT_TABLE_USAGE	INFORMATION_SCHEMA	TABLE_CATALOG
+CONSTRAINT_TABLE_USAGE	INFORMATION_SCHEMA	TABLE_NAME
+CONSTRAINT_TABLE_USAGE	INFORMATION_SCHEMA	TABLE_SCHEMA
 CUMULATIVE_SQL_COMMANDS	DATA_DICTIONARY	COUNT_ADMIN
 CUMULATIVE_SQL_COMMANDS	DATA_DICTIONARY	COUNT_ALTER
 CUMULATIVE_SQL_COMMANDS	DATA_DICTIONARY	COUNT_COMMIT
@@ -1136,6 +1190,31 @@
 CURRENT_SQL_COMMANDS	DATA_DICTIONARY	COUNT_UPDATE
 CURRENT_SQL_COMMANDS	DATA_DICTIONARY	IP
 CURRENT_SQL_COMMANDS	DATA_DICTIONARY	USER
+DOMAINS	INFORMATION_SCHEMA	CHARACTER_MAXIMUM_LENGTH
+DOMAINS	INFORMATION_SCHEMA	CHARACTER_OCTET_LENGTH
+DOMAINS	INFORMATION_SCHEMA	CHARACTER_SET_CATALOG
+DOMAINS	INFORMATION_SCHEMA	CHARACTER_SET_NAME
+DOMAINS	INFORMATION_SCHEMA	CHARACTER_SET_SCHEMA
+DOMAINS	INFORMATION_SCHEMA	COLLATION_CATALOG
+DOMAINS	INFORMATION_SCHEMA	COLLATION_NAME
+DOMAINS	INFORMATION_SCHEMA	COLLATION_SCHEMA
+DOMAINS	INFORMATION_SCHEMA	DATA_TYPE
+DOMAINS	INFORMATION_SCHEMA	DATETIME_PRECISION
+DOMAINS	INFORMATION_SCHEMA	DOMAIN_CATALOG
+DOMAINS	INFORMATION_SCHEMA	DOMAIN_DEFAULT
+DOMAINS	INFORMATION_SCHEMA	DOMAIN_NAME
+DOMAINS	INFORMATION_SCHEMA	DOMAIN_SCHEMA
+DOMAINS	INFORMATION_SCHEMA	NUMERIC_PRECISION
+DOMAINS	INFORMATION_SCHEMA	NUMERIC_PRECISION_RADIX
+DOMAINS	INFORMATION_SCHEMA	NUMERIC_SCALE
+DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_CATALOG
+DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_NAME
+DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_SCHEMA
+DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	DOMAIN_CATALOG
+DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	DOMAIN_NAME
+DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	DOMAIN_SCHEMA
+DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	INITIALLY_DEFERRED
+DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	IS_DEFERRABLE
 GLOBAL_STATEMENTS	DATA_DICTIONARY	VARIABLE_NAME
 GLOBAL_STATEMENTS	DATA_DICTIONARY	VARIABLE_VALUE
 GLOBAL_STATUS	DATA_DICTIONARY	VARIABLE_NAME
@@ -1209,182 +1288,6 @@
 INNODB_TRX	DATA_DICTIONARY	TRX_STATE
 INNODB_TRX	DATA_DICTIONARY	TRX_WAIT_STARTED
 INNODB_TRX	DATA_DICTIONARY	TRX_WEIGHT
-MODULES	DATA_DICTIONARY	IS_BUILTIN
-MODULES	DATA_DICTIONARY	MODULE_AUTHOR
-MODULES	DATA_DICTIONARY	MODULE_DESCRIPTION
-MODULES	DATA_DICTIONARY	MODULE_LIBRARY
-MODULES	DATA_DICTIONARY	MODULE_LICENSE
-MODULES	DATA_DICTIONARY	MODULE_NAME
-MODULES	DATA_DICTIONARY	MODULE_VERSION
-PLUGINS	DATA_DICTIONARY	IS_ACTIVE
-PLUGINS	DATA_DICTIONARY	MODULE_NAME
-PLUGINS	DATA_DICTIONARY	PLUGIN_NAME
-PLUGINS	DATA_DICTIONARY	PLUGIN_TYPE
-PROCESSLIST	DATA_DICTIONARY	COMMAND
-PROCESSLIST	DATA_DICTIONARY	DB
-PROCESSLIST	DATA_DICTIONARY	HOST
-PROCESSLIST	DATA_DICTIONARY	ID
-PROCESSLIST	DATA_DICTIONARY	INFO
-PROCESSLIST	DATA_DICTIONARY	STATE
-PROCESSLIST	DATA_DICTIONARY	TIME
-PROCESSLIST	DATA_DICTIONARY	USER
-REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	CONSTRAINT_NAME
-REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	CONSTRAINT_SCHEMA
-REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	DELETE_RULE
-REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	MATCH_OPTION
-REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	REFERENCED_TABLE_NAME
-REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	TABLE_NAME
-REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	UNIQUE_CONSTRAINT_NAME
-REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	UNIQUE_CONSTRAINT_SCHEMA
-REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	UPDATE_RULE
-REPLICATION_STREAMS	DATA_DICTIONARY	APPLIER
-REPLICATION_STREAMS	DATA_DICTIONARY	REPLICATOR
-SCHEMAS	DATA_DICTIONARY	DEFAULT_COLLATION_NAME
-SCHEMAS	DATA_DICTIONARY	SCHEMA_CREATION_TIME
-SCHEMAS	DATA_DICTIONARY	SCHEMA_NAME
-SCHEMAS	DATA_DICTIONARY	SCHEMA_UPDATE_TIME
-SESSION_STATEMENTS	DATA_DICTIONARY	VARIABLE_NAME
-SESSION_STATEMENTS	DATA_DICTIONARY	VARIABLE_VALUE
-SESSION_STATUS	DATA_DICTIONARY	VARIABLE_NAME
-SESSION_STATUS	DATA_DICTIONARY	VARIABLE_VALUE
-SESSION_VARIABLES	DATA_DICTIONARY	VARIABLE_NAME
-SESSION_VARIABLES	DATA_DICTIONARY	VARIABLE_VALUE
-SHOW_COLUMNS	DATA_DICTIONARY	Default
-SHOW_COLUMNS	DATA_DICTIONARY	Default_is_NULL
-SHOW_COLUMNS	DATA_DICTIONARY	Field
-SHOW_COLUMNS	DATA_DICTIONARY	Null
-SHOW_COLUMNS	DATA_DICTIONARY	On_Update
-SHOW_COLUMNS	DATA_DICTIONARY	Type
-SHOW_INDEXES	DATA_DICTIONARY	Column_name
-SHOW_INDEXES	DATA_DICTIONARY	Key_name
-SHOW_INDEXES	DATA_DICTIONARY	Seq_in_index
-SHOW_INDEXES	DATA_DICTIONARY	Table
-SHOW_INDEXES	DATA_DICTIONARY	Unique
-SHOW_SCHEMAS	DATA_DICTIONARY	SCHEMA_NAME
-SHOW_TABLES	DATA_DICTIONARY	TABLE_NAME
-SHOW_TABLE_STATUS	DATA_DICTIONARY	Auto_increment
-SHOW_TABLE_STATUS	DATA_DICTIONARY	Avg_row_length
-SHOW_TABLE_STATUS	DATA_DICTIONARY	Engine
-SHOW_TABLE_STATUS	DATA_DICTIONARY	Name
-SHOW_TABLE_STATUS	DATA_DICTIONARY	Rows
-SHOW_TABLE_STATUS	DATA_DICTIONARY	Schema
-SHOW_TABLE_STATUS	DATA_DICTIONARY	Session
-SHOW_TABLE_STATUS	DATA_DICTIONARY	Table_size
-SHOW_TABLE_STATUS	DATA_DICTIONARY	Type
-SHOW_TABLE_STATUS	DATA_DICTIONARY	Version
-SHOW_TEMPORARY_TABLES	DATA_DICTIONARY	ENGINE
-SHOW_TEMPORARY_TABLES	DATA_DICTIONARY	RECORDS
-SHOW_TEMPORARY_TABLES	DATA_DICTIONARY	RECORD_LENGTH
-SHOW_TEMPORARY_TABLES	DATA_DICTIONARY	TABLE_NAME
-SHOW_TEMPORARY_TABLES	DATA_DICTIONARY	TABLE_SCHEMA
-TABLES	DATA_DICTIONARY	ENGINE
-TABLES	DATA_DICTIONARY	ROW_FORMAT
-TABLES	DATA_DICTIONARY	TABLE_COLLATION
-TABLES	DATA_DICTIONARY	TABLE_COMMENT
-TABLES	DATA_DICTIONARY	TABLE_CREATION_TIME
-TABLES	DATA_DICTIONARY	TABLE_NAME
-TABLES	DATA_DICTIONARY	TABLE_SCHEMA
-TABLES	DATA_DICTIONARY	TABLE_TYPE
-TABLES	DATA_DICTIONARY	TABLE_UPDATE_TIME
-TABLE_CACHE	DATA_DICTIONARY	AUTO_INCREMENT
-TABLE_CACHE	DATA_DICTIONARY	AVG_ROW_LENGTH
-TABLE_CACHE	DATA_DICTIONARY	IS_NAME_LOCKED
-TABLE_CACHE	DATA_DICTIONARY	ROWS
-TABLE_CACHE	DATA_DICTIONARY	SESSION_ID
-TABLE_CACHE	DATA_DICTIONARY	TABLE_NAME
-TABLE_CACHE	DATA_DICTIONARY	TABLE_SCHEMA
-TABLE_CACHE	DATA_DICTIONARY	TABLE_SIZE
-TABLE_CACHE	DATA_DICTIONARY	VERSION
-TABLE_CONSTRAINTS	DATA_DICTIONARY	CONSTRAINT_NAME
-TABLE_CONSTRAINTS	DATA_DICTIONARY	CONSTRAINT_SCHEMA
-TABLE_CONSTRAINTS	DATA_DICTIONARY	CONSTRAINT_TYPE
-TABLE_CONSTRAINTS	DATA_DICTIONARY	TABLE_NAME
-TABLE_CONSTRAINTS	DATA_DICTIONARY	TABLE_SCHEMA
-TABLE_DEFINITION_CACHE	DATA_DICTIONARY	IS_NAME_LOCKED
-TABLE_DEFINITION_CACHE	DATA_DICTIONARY	TABLE_COUNT
-TABLE_DEFINITION_CACHE	DATA_DICTIONARY	TABLE_NAME
-TABLE_DEFINITION_CACHE	DATA_DICTIONARY	TABLE_SCHEMA
-TABLE_DEFINITION_CACHE	DATA_DICTIONARY	VERSION
-CHECK_CONSTRAINTS	INFORMATION_SCHEMA	CHECK_CLAUSE
-CHECK_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_CATALOG
-CHECK_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_NAME
-CHECK_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_SCHEMA
-COLUMNS	INFORMATION_SCHEMA	CHARACTER_MAXIMUM_LENGTH
-COLUMNS	INFORMATION_SCHEMA	CHARACTER_OCTET_LENGTH
-COLUMNS	INFORMATION_SCHEMA	CHARACTER_SET_CATALOG
-COLUMNS	INFORMATION_SCHEMA	CHARACTER_SET_NAME
-COLUMNS	INFORMATION_SCHEMA	CHARACTER_SET_SCHEMA
-COLUMNS	INFORMATION_SCHEMA	COLLATION_CATALOG
-COLUMNS	INFORMATION_SCHEMA	COLLATION_NAME
-COLUMNS	INFORMATION_SCHEMA	COLLATION_SCHEMA
-COLUMNS	INFORMATION_SCHEMA	COLUMN_DEFAULT
-COLUMNS	INFORMATION_SCHEMA	COLUMN_NAME
-COLUMNS	INFORMATION_SCHEMA	DATA_TYPE
-COLUMNS	INFORMATION_SCHEMA	DATETIME_PRECISION
-COLUMNS	INFORMATION_SCHEMA	DOMAIN_CATALOG
-COLUMNS	INFORMATION_SCHEMA	DOMAIN_NAME
-COLUMNS	INFORMATION_SCHEMA	DOMAIN_SCHEMA
-COLUMNS	INFORMATION_SCHEMA	IS_NULLABLE
-COLUMNS	INFORMATION_SCHEMA	NUMERIC_PRECISION
-COLUMNS	INFORMATION_SCHEMA	NUMERIC_PRECISION_RADIX
-COLUMNS	INFORMATION_SCHEMA	NUMERIC_SCALE
-COLUMNS	INFORMATION_SCHEMA	ORDINAL_POSITION
-COLUMNS	INFORMATION_SCHEMA	TABLE_CATALOG
-COLUMNS	INFORMATION_SCHEMA	TABLE_NAME
-COLUMNS	INFORMATION_SCHEMA	TABLE_SCHEMA
-COLUMN_DOMAIN_USAGE	INFORMATION_SCHEMA	COLUMN_NAME
-COLUMN_DOMAIN_USAGE	INFORMATION_SCHEMA	DOMAIN_CATALOG
-COLUMN_DOMAIN_USAGE	INFORMATION_SCHEMA	DOMAIN_NAME
-COLUMN_DOMAIN_USAGE	INFORMATION_SCHEMA	DOMAIN_SCHEMA
-COLUMN_DOMAIN_USAGE	INFORMATION_SCHEMA	TABLE_CATALOG
-COLUMN_DOMAIN_USAGE	INFORMATION_SCHEMA	TABLE_NAME
-COLUMN_DOMAIN_USAGE	INFORMATION_SCHEMA	TABLE_SCHEMA
-COLUMN_PRIVILEGES	INFORMATION_SCHEMA	COLUMN_NAME
-COLUMN_PRIVILEGES	INFORMATION_SCHEMA	GRANTEE
-COLUMN_PRIVILEGES	INFORMATION_SCHEMA	GRANTOR
-COLUMN_PRIVILEGES	INFORMATION_SCHEMA	IS_GRANTABLE
-COLUMN_PRIVILEGES	INFORMATION_SCHEMA	PRIVILEGE_TYPE
-COLUMN_PRIVILEGES	INFORMATION_SCHEMA	TABLE_CATALOG
-COLUMN_PRIVILEGES	INFORMATION_SCHEMA	TABLE_NAME
-COLUMN_PRIVILEGES	INFORMATION_SCHEMA	TABLE_SCHEMA
-CONSTRAINT_COLUMN_USAGE	INFORMATION_SCHEMA	COLUMN_NAME
-CONSTRAINT_COLUMN_USAGE	INFORMATION_SCHEMA	CONSTRAINT_CATALOG
-CONSTRAINT_COLUMN_USAGE	INFORMATION_SCHEMA	CONSTRAINT_NAME
-CONSTRAINT_COLUMN_USAGE	INFORMATION_SCHEMA	CONSTRAINT_SCHEMA
-CONSTRAINT_COLUMN_USAGE	INFORMATION_SCHEMA	TABLE_CATALOG
-CONSTRAINT_COLUMN_USAGE	INFORMATION_SCHEMA	TABLE_NAME
-CONSTRAINT_COLUMN_USAGE	INFORMATION_SCHEMA	TABLE_SCHEMA
-CONSTRAINT_TABLE_USAGE	INFORMATION_SCHEMA	CONSTRAINT_CATALOG
-CONSTRAINT_TABLE_USAGE	INFORMATION_SCHEMA	CONSTRAINT_NAME
-CONSTRAINT_TABLE_USAGE	INFORMATION_SCHEMA	CONSTRAINT_SCHEMA
-CONSTRAINT_TABLE_USAGE	INFORMATION_SCHEMA	TABLE_CATALOG
-CONSTRAINT_TABLE_USAGE	INFORMATION_SCHEMA	TABLE_NAME
-CONSTRAINT_TABLE_USAGE	INFORMATION_SCHEMA	TABLE_SCHEMA
-DOMAINS	INFORMATION_SCHEMA	CHARACTER_MAXIMUM_LENGTH
-DOMAINS	INFORMATION_SCHEMA	CHARACTER_OCTET_LENGTH
-DOMAINS	INFORMATION_SCHEMA	CHARACTER_SET_CATALOG
-DOMAINS	INFORMATION_SCHEMA	CHARACTER_SET_NAME
-DOMAINS	INFORMATION_SCHEMA	CHARACTER_SET_SCHEMA
-DOMAINS	INFORMATION_SCHEMA	COLLATION_CATALOG
-DOMAINS	INFORMATION_SCHEMA	COLLATION_NAME
-DOMAINS	INFORMATION_SCHEMA	COLLATION_SCHEMA
-DOMAINS	INFORMATION_SCHEMA	DATA_TYPE
-DOMAINS	INFORMATION_SCHEMA	DATETIME_PRECISION
-DOMAINS	INFORMATION_SCHEMA	DOMAIN_CATALOG
-DOMAINS	INFORMATION_SCHEMA	DOMAIN_DEFAULT
-DOMAINS	INFORMATION_SCHEMA	DOMAIN_NAME
-DOMAINS	INFORMATION_SCHEMA	DOMAIN_SCHEMA
-DOMAINS	INFORMATION_SCHEMA	NUMERIC_PRECISION
-DOMAINS	INFORMATION_SCHEMA	NUMERIC_PRECISION_RADIX
-DOMAINS	INFORMATION_SCHEMA	NUMERIC_SCALE
-DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_CATALOG
-DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_NAME
-DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_SCHEMA
-DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	DOMAIN_CATALOG
-DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	DOMAIN_NAME
-DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	DOMAIN_SCHEMA
-DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	INITIALLY_DEFERRED
-DOMAIN_CONSTRAINTS	INFORMATION_SCHEMA	IS_DEFERRABLE
 KEY_COLUMN_USAGE	INFORMATION_SCHEMA	COLUMN_NAME
 KEY_COLUMN_USAGE	INFORMATION_SCHEMA	CONSTRAINT_CATALOG
 KEY_COLUMN_USAGE	INFORMATION_SCHEMA	CONSTRAINT_NAME
@@ -1393,6 +1296,13 @@
 KEY_COLUMN_USAGE	INFORMATION_SCHEMA	TABLE_CATALOG
 KEY_COLUMN_USAGE	INFORMATION_SCHEMA	TABLE_NAME
 KEY_COLUMN_USAGE	INFORMATION_SCHEMA	TABLE_SCHEMA
+MODULES	DATA_DICTIONARY	IS_BUILTIN
+MODULES	DATA_DICTIONARY	MODULE_AUTHOR
+MODULES	DATA_DICTIONARY	MODULE_DESCRIPTION
+MODULES	DATA_DICTIONARY	MODULE_LIBRARY
+MODULES	DATA_DICTIONARY	MODULE_LICENSE
+MODULES	DATA_DICTIONARY	MODULE_NAME
+MODULES	DATA_DICTIONARY	MODULE_VERSION
 PARAMETERS	INFORMATION_SCHEMA	AS_LOCATOR
 PARAMETERS	INFORMATION_SCHEMA	CHARACTER_MAXIMUM_LENGTH
 PARAMETERS	INFORMATION_SCHEMA	CHARACTER_OCTET_LENGTH
@@ -1423,6 +1333,27 @@
 PARAMETERS	INFORMATION_SCHEMA	USER_DEFINED_TYPE_CATALOG
 PARAMETERS	INFORMATION_SCHEMA	USER_DEFINED_TYPE_NAME
 PARAMETERS	INFORMATION_SCHEMA	USER_DEFINED_TYPE_SCHEMA
+PLUGINS	DATA_DICTIONARY	IS_ACTIVE
+PLUGINS	DATA_DICTIONARY	MODULE_NAME
+PLUGINS	DATA_DICTIONARY	PLUGIN_NAME
+PLUGINS	DATA_DICTIONARY	PLUGIN_TYPE
+PROCESSLIST	DATA_DICTIONARY	COMMAND
+PROCESSLIST	DATA_DICTIONARY	DB
+PROCESSLIST	DATA_DICTIONARY	HOST
+PROCESSLIST	DATA_DICTIONARY	ID
+PROCESSLIST	DATA_DICTIONARY	INFO
+PROCESSLIST	DATA_DICTIONARY	STATE
+PROCESSLIST	DATA_DICTIONARY	TIME
+PROCESSLIST	DATA_DICTIONARY	USER
+REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	CONSTRAINT_NAME
+REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	CONSTRAINT_SCHEMA
+REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	DELETE_RULE
+REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	MATCH_OPTION
+REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	REFERENCED_TABLE_NAME
+REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	TABLE_NAME
+REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	UNIQUE_CONSTRAINT_NAME
+REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	UNIQUE_CONSTRAINT_SCHEMA
+REFERENTIAL_CONSTRAINTS	DATA_DICTIONARY	UPDATE_RULE
 REFERENTIAL_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_CATALOG
 REFERENTIAL_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_NAME
 REFERENTIAL_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_SCHEMA
@@ -1432,6 +1363,8 @@
 REFERENTIAL_CONSTRAINTS	INFORMATION_SCHEMA	UNIQUE_CONSTRAINT_NAME
 REFERENTIAL_CONSTRAINTS	INFORMATION_SCHEMA	UNIQUE_CONSTRAINT_SCHEMA
 REFERENTIAL_CONSTRAINTS	INFORMATION_SCHEMA	UPDATE_RULE
+REPLICATION_STREAMS	DATA_DICTIONARY	APPLIER
+REPLICATION_STREAMS	DATA_DICTIONARY	REPLICATOR
 ROUTINES	INFORMATION_SCHEMA	CHARACTER_MAXIMUM_LENGTH
 ROUTINES	INFORMATION_SCHEMA	CHARACTER_OCTET_LENGTH
 ROUTINES	INFORMATION_SCHEMA	CHARACTER_SET_CATALOG
@@ -1508,16 +1441,77 @@
 ROUTINE_COLUMNS	INFORMATION_SCHEMA	TABLE_CATALOG
 ROUTINE_COLUMNS	INFORMATION_SCHEMA	TABLE_NAME
 ROUTINE_COLUMNS	INFORMATION_SCHEMA	TABLE_SCHEMA
+SCHEMAS	DATA_DICTIONARY	DEFAULT_COLLATION_NAME
+SCHEMAS	DATA_DICTIONARY	SCHEMA_CREATION_TIME
+SCHEMAS	DATA_DICTIONARY	SCHEMA_NAME
+SCHEMAS	DATA_DICTIONARY	SCHEMA_UPDATE_TIME
 SCHEMATA	INFORMATION_SCHEMA	CATALOG_NAME
 SCHEMATA	INFORMATION_SCHEMA	DEFAULT_CHARACTER_SET_CATALOG
 SCHEMATA	INFORMATION_SCHEMA	DEFAULT_CHARACTER_SET_NAME
 SCHEMATA	INFORMATION_SCHEMA	DEFAULT_CHARACTER_SET_SCHEMA
 SCHEMATA	INFORMATION_SCHEMA	SCHEMA_NAME
 SCHEMATA	INFORMATION_SCHEMA	SCHEMA_OWNER
+SESSION_STATEMENTS	DATA_DICTIONARY	VARIABLE_NAME
+SESSION_STATEMENTS	DATA_DICTIONARY	VARIABLE_VALUE
+SESSION_STATUS	DATA_DICTIONARY	VARIABLE_NAME
+SESSION_STATUS	DATA_DICTIONARY	VARIABLE_VALUE
+SESSION_VARIABLES	DATA_DICTIONARY	VARIABLE_NAME
+SESSION_VARIABLES	DATA_DICTIONARY	VARIABLE_VALUE
+SHOW_COLUMNS	DATA_DICTIONARY	Default
+SHOW_COLUMNS	DATA_DICTIONARY	Default_is_NULL
+SHOW_COLUMNS	DATA_DICTIONARY	Field
+SHOW_COLUMNS	DATA_DICTIONARY	Null
+SHOW_COLUMNS	DATA_DICTIONARY	On_Update
+SHOW_COLUMNS	DATA_DICTIONARY	Type
+SHOW_INDEXES	DATA_DICTIONARY	Column_name
+SHOW_INDEXES	DATA_DICTIONARY	Key_name
+SHOW_INDEXES	DATA_DICTIONARY	Seq_in_index
+SHOW_INDEXES	DATA_DICTIONARY	Table
+SHOW_INDEXES	DATA_DICTIONARY	Unique
+SHOW_SCHEMAS	DATA_DICTIONARY	SCHEMA_NAME
+SHOW_TABLES	DATA_DICTIONARY	TABLE_NAME
+SHOW_TABLE_STATUS	DATA_DICTIONARY	Auto_increment
+SHOW_TABLE_STATUS	DATA_DICTIONARY	Avg_row_length
+SHOW_TABLE_STATUS	DATA_DICTIONARY	Engine
+SHOW_TABLE_STATUS	DATA_DICTIONARY	Name
+SHOW_TABLE_STATUS	DATA_DICTIONARY	Rows
+SHOW_TABLE_STATUS	DATA_DICTIONARY	Schema
+SHOW_TABLE_STATUS	DATA_DICTIONARY	Session
+SHOW_TABLE_STATUS	DATA_DICTIONARY	Table_size
+SHOW_TABLE_STATUS	DATA_DICTIONARY	Type
+SHOW_TABLE_STATUS	DATA_DICTIONARY	Version
+SHOW_TEMPORARY_TABLES	DATA_DICTIONARY	ENGINE
+SHOW_TEMPORARY_TABLES	DATA_DICTIONARY	RECORDS
+SHOW_TEMPORARY_TABLES	DATA_DICTIONARY	RECORD_LENGTH
+SHOW_TEMPORARY_TABLES	DATA_DICTIONARY	TABLE_NAME
+SHOW_TEMPORARY_TABLES	DATA_DICTIONARY	TABLE_SCHEMA
+TABLES	DATA_DICTIONARY	ENGINE
+TABLES	DATA_DICTIONARY	ROW_FORMAT
+TABLES	DATA_DICTIONARY	TABLE_COLLATION
+TABLES	DATA_DICTIONARY	TABLE_COMMENT
+TABLES	DATA_DICTIONARY	TABLE_CREATION_TIME
+TABLES	DATA_DICTIONARY	TABLE_NAME
+TABLES	DATA_DICTIONARY	TABLE_SCHEMA
+TABLES	DATA_DICTIONARY	TABLE_TYPE
+TABLES	DATA_DICTIONARY	TABLE_UPDATE_TIME
 TABLES	INFORMATION_SCHEMA	TABLE_CATALOG
 TABLES	INFORMATION_SCHEMA	TABLE_NAME
 TABLES	INFORMATION_SCHEMA	TABLE_SCHEMA
 TABLES	INFORMATION_SCHEMA	TABLE_TYPE
+TABLE_CACHE	DATA_DICTIONARY	AUTO_INCREMENT
+TABLE_CACHE	DATA_DICTIONARY	AVG_ROW_LENGTH
+TABLE_CACHE	DATA_DICTIONARY	IS_NAME_LOCKED
+TABLE_CACHE	DATA_DICTIONARY	ROWS
+TABLE_CACHE	DATA_DICTIONARY	SESSION_ID
+TABLE_CACHE	DATA_DICTIONARY	TABLE_NAME
+TABLE_CACHE	DATA_DICTIONARY	TABLE_SCHEMA
+TABLE_CACHE	DATA_DICTIONARY	TABLE_SIZE
+TABLE_CACHE	DATA_DICTIONARY	VERSION
+TABLE_CONSTRAINTS	DATA_DICTIONARY	CONSTRAINT_NAME
+TABLE_CONSTRAINTS	DATA_DICTIONARY	CONSTRAINT_SCHEMA
+TABLE_CONSTRAINTS	DATA_DICTIONARY	CONSTRAINT_TYPE
+TABLE_CONSTRAINTS	DATA_DICTIONARY	TABLE_NAME
+TABLE_CONSTRAINTS	DATA_DICTIONARY	TABLE_SCHEMA
 TABLE_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_CATALOG
 TABLE_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_NAME
 TABLE_CONSTRAINTS	INFORMATION_SCHEMA	CONSTRAINT_SCHEMA
@@ -1527,6 +1521,11 @@
 TABLE_CONSTRAINTS	INFORMATION_SCHEMA	TABLE_CATALOG
 TABLE_CONSTRAINTS	INFORMATION_SCHEMA	TABLE_NAME
 TABLE_CONSTRAINTS	INFORMATION_SCHEMA	TABLE_SCHEMA
+TABLE_DEFINITION_CACHE	DATA_DICTIONARY	IS_NAME_LOCKED
+TABLE_DEFINITION_CACHE	DATA_DICTIONARY	TABLE_COUNT
+TABLE_DEFINITION_CACHE	DATA_DICTIONARY	TABLE_NAME
+TABLE_DEFINITION_CACHE	DATA_DICTIONARY	TABLE_SCHEMA
+TABLE_DEFINITION_CACHE	DATA_DICTIONARY	VERSION
 TABLE_PRIVILEGES	INFORMATION_SCHEMA	COLUMN_NAME
 TABLE_PRIVILEGES	INFORMATION_SCHEMA	GRANTEE
 TABLE_PRIVILEGES	INFORMATION_SCHEMA	GRANTOR
@@ -1554,9 +1553,9 @@
 VIEW_TABLE_USAGE	INFORMATION_SCHEMA	TABLE_NAME
 VIEW_TABLE_USAGE	INFORMATION_SCHEMA	TABLE_SCHEMA
 VIEW_TABLE_USAGE	INFORMATION_SCHEMA	VIEW_DEFINITION
+a	a	a
 SELECT TABLE_NAME,TABLE_SCHEMA,COLUMN_NAME from COLUMNS ORDER BY TABLE_NAME,TABLE_SCHEMA, COLUMN_NAME;
 TABLE_NAME	TABLE_SCHEMA	COLUMN_NAME
-a	a	a
 CHARACTER_SETS	DATA_DICTIONARY	CHARACTER_SET_NAME
 CHARACTER_SETS	DATA_DICTIONARY	DEFAULT_COLLATE_NAME
 CHARACTER_SETS	DATA_DICTIONARY	DESCRIPTION
@@ -2031,4 +2030,5 @@
 VIEW_TABLE_USAGE	INFORMATION_SCHEMA	TABLE_NAME
 VIEW_TABLE_USAGE	INFORMATION_SCHEMA	TABLE_SCHEMA
 VIEW_TABLE_USAGE	INFORMATION_SCHEMA	VIEW_DEFINITION
+a	a	a
 DROP SCHEMA A;

=== modified file 'plugin/schema_dictionary/tests/t/data_dictionary.test'
--- plugin/schema_dictionary/tests/t/data_dictionary.test	2010-06-16 23:06:10 +0000
+++ plugin/schema_dictionary/tests/t/data_dictionary.test	2010-07-08 22:17:25 +0000
@@ -2,18 +2,24 @@
 
 use data_dictionary;
 
+--sorted_result
 SELECT count(*) FROM columns;
 
+--sorted_result
 SELECT count(*) FROM indexes;
 
+--sorted_result
 SELECT count(*) FROM index_parts;
 
 SELECT SCHEMA_NAME  FROM schemas ORDER BY SCHEMA_NAME;
 
+--sorted_result
 SELECT COLUMN_NAME  FROM columns;
 
+--sorted_result
 SELECT count(*) FROM REFERENTIAL_CONSTRAINTS;
 
+--sorted_result
 SELECT count(*) FROM TABLE_CONSTRAINTS;
 
 # Make sure we don't change the names of the columns
@@ -30,14 +36,18 @@
 CREATE SCHEMA A;
 use A;
 create table A (a int);
+--sorted_result
 SELECT COUNT(*) FROM data_dictionary.tables WHERE TABLE_NAME = "A";
 
 # Here to confirm fix for bug lp:514009
 use data_dictionary;
+--sorted_result
 SELECT TABLE_SCHEMA,TABLE_NAME,COLUMN_NAME from COLUMNS ORDER BY TABLE_SCHEMA,TABLE_NAME, COLUMN_NAME;
 
+--sorted_result
 SELECT TABLE_NAME,TABLE_SCHEMA,COLUMN_NAME from COLUMNS ORDER BY TABLE_SCHEMA,TABLE_NAME, COLUMN_NAME;
 
+--sorted_result
 SELECT TABLE_NAME,TABLE_SCHEMA,COLUMN_NAME from COLUMNS ORDER BY TABLE_NAME,TABLE_SCHEMA, COLUMN_NAME;
 
 DROP SCHEMA A;

=== modified file 'tests/r/data_dictionary_like_info.result'
--- tests/r/data_dictionary_like_info.result	2010-07-01 22:34:57 +0000
+++ tests/r/data_dictionary_like_info.result	2010-07-08 22:17:25 +0000
@@ -24,8 +24,8 @@
 select table_name from data_dictionary.TABLES
 where table_schema = "mysqltest" and table_name like "t%";
 table_name
+t1
 t4
-t1
 show tables like 't%';
 Tables_in_test (t%)
 t2
@@ -98,13 +98,13 @@
 WHERE TABLE_NAME= 't1';
 COLUMN_NAME	CHARACTER_MAXIMUM_LENGTH	CHARACTER_OCTET_LENGTH
 x_bigint	0	0
+x_decimal	0	0
+x_double_precision	0	0
+x_float	0	0
+x_int	0	0
 x_integer	0	0
-x_int	0	0
-x_decimal	0	0
 x_numeric	0	0
 x_real	0	0
-x_float	0	0
-x_double_precision	0	0
 drop table t1;
 SELECT table_schema, count(*) FROM data_dictionary.TABLES
 WHERE table_name NOT LIKE 'ndb_%' AND 
@@ -184,16 +184,16 @@
 32	128
 64	256
 drop table t1;
-select DATA_TYPE, group_concat(table_schema, '.', table_name), count(*) as num
+select DATA_TYPE, group_concat(table_schema, '.', table_name) as a, count(*) as num
 from data_dictionary.columns where
 table_schema='data_dictionary' and
 (DATA_TYPE = 'varchar' or DATA_TYPE = 'varchar'
  or DATA_TYPE = 'varchar')
 group by DATA_TYPE order by DATA_TYPE, num;
-DATA_TYPE	group_concat(table_schema, '.', table_name)	num
-VARCHAR	DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.CUMULATIVE_SQL_COMMANDS,DATA_DICTIONARY.CURRENT_SQL_COMMANDS,DATA_DICTIONARY.CURRENT_SQL_COMMANDS,DATA_DICTIONARY.GLOBAL_STATEMENTS,DATA_DICTIONARY.GLOBAL_STATEMENTS,DATA_DICTIONARY.GLOBAL_STATUS,DATA_DICTIONARY.GLOBAL_STATUS,DATA_DICTIONARY.GLOBAL_VARIABLES,DATA_DICTIONARY.GLOBAL_VARIABLES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DIC	149
+DATA_TYPE	a	num
+VARCHAR	#	149
 Warnings:
-Warning	1260	1 line(s) were cut by GROUP_CONCAT()
+Warning	#	1 line(s) were cut by GROUP_CONCAT()
 create table t1(f1 char(1) not null, f2 char(9) not null);
 select CHARACTER_MAXIMUM_LENGTH, CHARACTER_OCTET_LENGTH from
 data_dictionary.columns where table_schema='test' and table_name = 't1';

=== modified file 'tests/r/information_schema.result'
Binary files tests/r/information_schema.result and tests/r/information_schema.result differ
=== modified file 'tests/r/information_schema_inno.result'
Binary files tests/r/information_schema_inno.result and tests/r/information_schema_inno.result differ
=== modified file 'tests/r/randgen_queries.result'
--- tests/r/randgen_queries.result	2010-05-13 05:00:09 +0000
+++ tests/r/randgen_queries.result	2010-07-08 22:17:25 +0000
@@ -43,7 +43,8 @@
 key (`col_text_key`  (255)),
 key (`col_enum_key` )) ENGINE=innodb;
 set AUTOCOMMIT=OFF;
-select table_schema, 
+select SQL_BIG_RESULT
+table_schema, 
 table_name, 
 CASE WHEN table_type = 'STANDARD' THEN 'table' 
 WHEN table_type = 'FUNCTION' then 'function' 
@@ -53,7 +54,7 @@
 WHEN IS_INDEXED = 'TRUE' THEN 'indexed' 
 ELSE 'indexed' END 
 FROM data_dictionary.tables INNER JOIN
-data_dictionary.columns USING(table_schema, table_name) limit 20;
+data_dictionary.columns USING(table_schema, table_name) ORDER BY table_schema, table_name limit 20;
 table_schema	table_name	CASE WHEN table_type = 'STANDARD' THEN 'table' 
 WHEN table_type = 'FUNCTION' then 'function' 
 ELSE 'misc' END	column_name	CASE WHEN IS_USED_IN_PRIMARY = 'TRUE' THEN 'primary' 
@@ -87,29 +88,29 @@
 NULL	NULL	0
 select collation_name,character_set_name FROM data_dictionary.collations;
 collation_name	character_set_name
+binary	binary
+utf8_bin	utf8_general_ci
+utf8_czech_ci	utf8_general_ci
+utf8_danish_ci	utf8_general_ci
+utf8_esperanto_ci	utf8_general_ci
+utf8_estonian_ci	utf8_general_ci
 utf8_general_ci	utf8_general_ci
-utf8_bin	utf8_general_ci
-utf8_unicode_ci	utf8_general_ci
+utf8_hungarian_ci	utf8_general_ci
 utf8_icelandic_ci	utf8_general_ci
 utf8_latvian_ci	utf8_general_ci
+utf8_lithuanian_ci	utf8_general_ci
+utf8_persian_ci	utf8_general_ci
+utf8_polish_ci	utf8_general_ci
+utf8_roman_ci	utf8_general_ci
 utf8_romanian_ci	utf8_general_ci
+utf8_sinhala_ci	utf8_general_ci
+utf8_slovak_ci	utf8_general_ci
 utf8_slovenian_ci	utf8_general_ci
-utf8_polish_ci	utf8_general_ci
-utf8_estonian_ci	utf8_general_ci
+utf8_spanish2_ci	utf8_general_ci
 utf8_spanish_ci	utf8_general_ci
 utf8_swedish_ci	utf8_general_ci
 utf8_turkish_ci	utf8_general_ci
-utf8_czech_ci	utf8_general_ci
-utf8_danish_ci	utf8_general_ci
-utf8_lithuanian_ci	utf8_general_ci
-utf8_slovak_ci	utf8_general_ci
-utf8_spanish2_ci	utf8_general_ci
-utf8_roman_ci	utf8_general_ci
-utf8_persian_ci	utf8_general_ci
-utf8_esperanto_ci	utf8_general_ci
-utf8_hungarian_ci	utf8_general_ci
-utf8_sinhala_ci	utf8_general_ci
-binary	binary
+utf8_unicode_ci	utf8_general_ci
 select COUNT(*) from data_dictionary.tables;
 COUNT(*)
 ####.##.####

=== modified file 'tests/t/data_dictionary_like_info.test'
--- tests/t/data_dictionary_like_info.test	2010-03-18 01:23:59 +0000
+++ tests/t/data_dictionary_like_info.test	2010-07-08 22:17:25 +0000
@@ -6,8 +6,10 @@
 --enable_warnings
 
 --replace_column 1 #
+--sorted_result
 select count(*) from data_dictionary.SCHEMAS where schema_name > 'm';
 --replace_column 1 #
+--sorted_result
 select count(*) from data_dictionary.schemas;
 show databases like 't%';
 show databases;
@@ -23,6 +25,7 @@
 create table t5 (id int auto_increment primary key);
 insert into t5 values (10);
 
+--sorted_result
 select table_name from data_dictionary.TABLES
 where table_schema = "mysqltest" and table_name like "t%";
 
@@ -30,11 +33,13 @@
 --replace_column 1 #  6 # 7 # 8 # 9 # 10 #
 show table status;
 show columns from t3 like "a%";
+--sorted_result
 select * from data_dictionary.COLUMNS where table_name="t1"
 and column_name= "a";
 
 connect (user3,localhost,mysqltest_2,,);
 connection user3;
+--sorted_result
 select table_name, column_name from data_dictionary.columns 
 where table_schema = 'mysqltest' and table_name = 't1';
 show columns from mysqltest.t1;
@@ -46,18 +51,21 @@
 drop database mysqltest;
 
 # Test for data_dictionary.CHARACTER_SETS &
+--sorted_result
 select * from data_dictionary.CHARACTER_SETS
 where CHARACTER_SET_NAME like 'latin1%';
 
 # Test for data_dictionary.COLLATIONS &
 
 --replace_column 5 #
+--sorted_result
 select * from data_dictionary.COLLATIONS
 where COLLATION_NAME like 'latin1%';
 
 #
 # Bug#2719 data_dictionary: errors in "columns"
 #
+--sorted_result
 select DATA_TYPE from data_dictionary.columns
 where table_schema="data_dictionary" and table_name="COLUMNS" and
 (column_name="character_set_name" or column_name="collation_name");
@@ -65,8 +73,10 @@
 #
 # Bug#2718 data_dictionary: errors in "tables"
 #
+--sorted_result
 select TABLE_TYPE from data_dictionary.tables where 
 table_schema="data_dictionary" and table_name="COLUMNS";
+--sorted_result
 select table_type from data_dictionary.tables
 where table_schema="mysql" and table_name="user";
 
@@ -74,15 +84,18 @@
 # Bug #7215  data_dictionary: columns are longtext instead of varchar
 # Bug #7217  data_dictionary: columns are varbinary() instead of timestamp
 #
+--sorted_result
 select table_schema,table_name, column_name from
 data_dictionary.columns 
 where DATA_TYPE = 'longtext';
+--sorted_result
 select table_name, column_name, DATA_TYPE from data_dictionary.columns
 where DATA_TYPE = 'datetime';
 
 #
 # Bug #8164  subquery with DATA_DICTIONARY.COLUMNS, 100 % CPU
 #
+--sorted_result
 SELECT COUNT(*) FROM DATA_DICTIONARY.TABLES A
 WHERE NOT EXISTS 
 (SELECT * FROM DATA_DICTIONARY.COLUMNS B
@@ -102,6 +115,7 @@
   x_real REAL,
   x_float FLOAT,
   x_double_precision DOUBLE PRECISION );
+--sorted_result
 SELECT COLUMN_NAME, CHARACTER_MAXIMUM_LENGTH, CHARACTER_OCTET_LENGTH
 FROM DATA_DICTIONARY.COLUMNS
 WHERE TABLE_NAME= 't1';
@@ -111,6 +125,7 @@
 # Bug #9404  data_dictionary: Weird error messages
 # with SELECT SUM() ... GROUP BY queries
 #
+--sorted_result
 SELECT table_schema, count(*) FROM data_dictionary.TABLES
 WHERE table_name NOT LIKE 'ndb_%' AND 
 table_name NOT LIKE 'falcon%' AND
@@ -127,6 +142,7 @@
 # Bug #12301 data_dictionary: NUMERIC_SCALE must be 0 for integer columns
 #
 create table t1(f1 LONGBLOB, f2 LONGTEXT);
+--sorted_result
 select column_name, DATA_TYPE, CHARACTER_OCTET_LENGTH,
        CHARACTER_MAXIMUM_LENGTH
 from data_dictionary.columns
@@ -134,6 +150,7 @@
 drop table t1;
 create table t1(f1 int, f2 int, f3 BIGINT, f4 int,
                 f5 BIGINT, f6 int, f7 int);
+--sorted_result
 select column_name, NUMERIC_PRECISION, NUMERIC_SCALE
 from data_dictionary.columns
 where table_name='t1';
@@ -144,6 +161,7 @@
 #
 create table t1 (a int not null, b int);
 use data_dictionary;
+--sorted_result
 select column_name, column_default,column_default_is_null from columns
   where table_schema='test' and table_name='t1';
 use test;
@@ -174,8 +192,10 @@
 use test;
 create table t1(id int);
 insert into t1(id) values (1);
+--sorted_result
 select 1 from (select 1 from test.t1) a;
 use data_dictionary;
+--sorted_result
 select 1 from (select 1 from test.t1) a;
 use test;
 drop table t1;
@@ -194,6 +214,7 @@
 # Bug#14271 I_S: columns has no size for (var)binary columns
 #
 create table t1(f1 varbinary(32), f2 varbinary(64));
+--sorted_result
 select character_maximum_length, character_octet_length
 from data_dictionary.columns where table_name='t1';
 drop table t1;
@@ -201,7 +222,8 @@
 #
 # Bug#15307 GROUP_CONCAT() with ORDER BY returns empty set on data_dictionary
 #
-select DATA_TYPE, group_concat(table_schema, '.', table_name), count(*) as num
+--replace_column 2 #
+select DATA_TYPE, group_concat(table_schema, '.', table_name) as a, count(*) as num
 from data_dictionary.columns where
 table_schema='data_dictionary' and
 (DATA_TYPE = 'varchar' or DATA_TYPE = 'varchar'
@@ -212,6 +234,7 @@
 # Bug#19236 bad COLUMNS.CHARACTER_MAXIMUM_LENGHT and CHARACTER_OCTET_LENGTH
 #
 create table t1(f1 char(1) not null, f2 char(9) not null);
+--sorted_result
 select CHARACTER_MAXIMUM_LENGTH, CHARACTER_OCTET_LENGTH from
 data_dictionary.columns where table_schema='test' and table_name = 't1';
 drop table t1;
@@ -222,6 +245,7 @@
 set @a:= '.';
 create table t1(f1 char(5));
 create table t2(f1 char(5));
+--sorted_result
 select concat(@a, table_name), @a, table_name
 from data_dictionary.tables where table_schema = 'test';
 drop table t1,t2;
@@ -230,6 +254,7 @@
 # Bug#18925: subqueries with MIN/MAX functions on INFORMARTION_SCHEMA 
 #
 
+--sorted_result
 SELECT t.table_name, c1.column_name
   FROM data_dictionary.tables t
        INNER JOIN
@@ -246,6 +271,7 @@
         )
   AND t.table_name NOT LIKE 'falcon%'
   AND t.ENGINE IS NULL;
+--sorted_result
 SELECT t.table_name, c1.column_name
   FROM data_dictionary.tables t
        INNER JOIN
@@ -268,7 +294,9 @@
 #            INFORMARTION_SCHEMA.TABLES 
 #
 
+--sorted_result
 SELECT MAX(table_name) FROM data_dictionary.tables;
+--sorted_result
 SELECT table_name from data_dictionary.tables
   WHERE table_name=(SELECT MAX(table_name)
                       FROM data_dictionary.tables);
@@ -278,6 +306,7 @@
 create table t1 (f1 int);
 create table t2 (f1 int, f2 int);
 
+--sorted_result
 select table_name from data_dictionary.tables
 where table_schema = 'test' and table_name not in
 (select table_name from data_dictionary.columns
@@ -288,10 +317,12 @@
 #
 # Bug#24630  Subselect query crashes mysqld
 #
+--sorted_result
 select 1 as f1 from data_dictionary.tables  where "CHARACTER_SETS"=
 (select cast(table_name as char)  from data_dictionary.tables
  order by table_name limit 1) limit 1;
 
+--replace_column 2 #
 select t.table_name, group_concat(t.table_schema, '.', t.table_name),
        count(*) as num1
 from data_dictionary.tables t
@@ -331,6 +362,7 @@
   f7 datetime not null,
   f8 datetime default '2006-01-01'
 );
+--sorted_result
 select column_name,column_default,column_default_is_null from data_dictionary.columns where table_name= 't1';
 show columns from t1;
 drop table t1;
@@ -351,26 +383,35 @@
 #
 # Bug#30795 Query on DATA_DICTIONARY.SCHEMAS, wrong result
 #
+--sorted_result
 SELECT SCHEMA_NAME FROM DATA_DICTIONARY.SCHEMAS
 WHERE SCHEMA_NAME ='data_dictionary';
                                                                                                  
 #
 # Bug#31381 Error in retrieving Data from DATA_DICTIONARY
 #
+--sorted_result
 SELECT TABLE_COLLATION FROM DATA_DICTIONARY.TABLES
 WHERE TABLE_SCHEMA='mysql' and TABLE_NAME= 'db';
 
 #
 # Bug#31633 Information schema = NULL queries crash the server
 #
+--sorted_result
 select * from data_dictionary.columns where table_schema = NULL;
+--sorted_result
 select * from `data_dictionary`.`COLUMNS` where `TABLE_NAME` = NULL;
+--sorted_result
 select * from `data_dictionary`.`INDEXES` where `TABLE_SCHEMA` = NULL;
+--sorted_result
 select * from `data_dictionary`.`INDEXES` where `TABLE_NAME` = NULL;
 #select * from `data_dictionary`.`REFERENTIAL_CONSTRAINTS` where `CONSTRAINT_SCHEMA` = NULL;
 #select * from `data_dictionary`.`REFERENTIAL_CONSTRAINTS` where `TABLE_NAME` = NULL;
+--sorted_result
 select * from data_dictionary.schemas where schema_name = NULL;
+--sorted_result
 select * from data_dictionary.tables where table_schema = NULL;
+--sorted_result
 select * from data_dictionary.tables where table_name = NULL;
 #select * from `data_dictionary`.`TABLE_CONSTRAINTS` where `TABLE_SCHEMA` = NULL;
 #select * from `data_dictionary`.`TABLE_CONSTRAINTS` where `TABLE_NAME` = NULL;
@@ -379,6 +420,7 @@
 --echo # Test that the query is visible to self and others.
 --echo #
 
+--sorted_result
 SELECT info FROM data_dictionary.processlist WHERE id = CONNECTION_ID();
 
 #
@@ -457,4 +499,5 @@
 # depend on what plugins are configured for use?
 #
 --replace_column 1 #
+--sorted_result
 SELECT count(*) FROM data_dictionary.plugins;

=== modified file 'tests/t/information_schema.test'
--- tests/t/information_schema.test	2010-03-18 01:23:59 +0000
+++ tests/t/information_schema.test	2010-07-08 22:17:25 +0000
@@ -16,6 +16,7 @@
 create table t5 (id int auto_increment primary key);
 insert into t5 values (10);
 
+--sorted_result
 select table_name from data_dictionary.tables
 where table_schema = "mysqltest" and table_name like "t%";
 
@@ -25,11 +26,13 @@
 --replace_column 1 #  6 # 7 # 8 # 9 # 10 #
 show table status;
 show columns from t3 like "a%";
+--sorted_result
 select * from data_dictionary.columns where table_name="t1"
 and column_name= "a";
 
 connect (user3,localhost,mysqltest_2,,);
 connection user3;
+--sorted_result
 select table_name, column_name from data_dictionary.columns 
 where table_schema = 'mysqltest' and table_name = 't1';
 show columns from mysqltest.t1;
@@ -43,6 +46,7 @@
 #
 # Bug#2719 information_schema: errors in "columns"
 #
+--sorted_result
 select column_type from data_dictionary.columns
 where table_schema="data_dictionary" and table_name="COLUMNS" and
 (column_name="character_set_name" or column_name="collation_name");
@@ -51,10 +55,12 @@
 # Bug#2718 information_schema: errors in "tables"
 #
 --replace_column 1 #
+--sorted_result
 select count(*) from data_dictionary.tables where 
 table_schema="data_dictionary" and table_name="COLUMNS";
 
 --replace_column 1 #
+--sorted_result
 select count(*) from data_dictionary.tables
 where table_schema="mysql" and table_name="user";
 
@@ -62,12 +68,15 @@
 # Bug #7215  information_schema: columns are longtext instead of varchar
 # Bug #7217  information_schema: columns are varbinary() instead of timestamp
 #
+--sorted_result
 select table_schema, table_name, column_name from data_dictionary.columns where data_type = 'longtext';
+--sorted_result
 select table_name, column_name, data_type from data_dictionary.columns where data_type = 'datetime';
 
 #
 # Bug #8164  subquery with data_dictionary.COLUMNS, 100 % CPU
 #
+--sorted_result
 SELECT COUNT(*) FROM data_dictionary.tables A
 WHERE NOT EXISTS 
 (SELECT * FROM data_dictionary.columns B
@@ -87,6 +96,7 @@
   x_real REAL,
   x_float FLOAT,
   x_double_precision DOUBLE PRECISION );
+--sorted_result
 SELECT COLUMN_NAME, CHARACTER_MAXIMUM_LENGTH, CHARACTER_OCTET_LENGTH
 FROM data_dictionary.columns
 WHERE TABLE_NAME= 't1';
@@ -106,6 +116,7 @@
 # Bug #12301 information_schema: NUMERIC_SCALE must be 0 for integer columns
 #
 create table t1(f1 LONGBLOB, f2 LONGTEXT);
+--sorted_result
 select column_name,data_type,CHARACTER_OCTET_LENGTH,
        CHARACTER_MAXIMUM_LENGTH
 from data_dictionary.columns
@@ -113,6 +124,7 @@
 drop table t1;
 create table t1(f1 int, f2 int, f3 BIGINT, f4 int,
                 f5 BIGINT, f6 int, f7 int);
+--sorted_result
 select column_name, NUMERIC_PRECISION, NUMERIC_SCALE
 from data_dictionary.columns
 where table_name='t1';
@@ -122,6 +134,7 @@
 # Bug#12518 COLUMN_DEFAULT has wrong value if NOT NULL is set
 #
 create table t1 (a int not null, b int);
+--sorted_result
 select column_name, column_default from data_dictionary.columns
   where table_schema='test' and table_name='t1';
 use test;
@@ -135,8 +148,10 @@
 use test;
 create table t1(id int);
 insert into t1(id) values (1);
+--sorted_result
 select 1 from (select 1 from test.t1) a;
 use data_dictionary;
+--sorted_result
 select 1 from (select 1 from test.t1) a;
 use test;
 drop table t1;
@@ -145,6 +160,7 @@
 # Bug#14271 I_S: columns has no size for (var)binary columns
 #
 create table t1(f1 varbinary(32), f2 varbinary(64));
+--sorted_result
 select character_maximum_length, character_octet_length
 from data_dictionary.columns where table_name='t1';
 drop table t1;
@@ -163,6 +179,7 @@
 # Bug#19236 bad COLUMNS.CHARACTER_MAXIMUM_LENGHT and CHARACTER_OCTET_LENGTH
 #
 create table t1(f1 char(1) not null, f2 char(9) not null);
+--sorted_result
 select CHARACTER_MAXIMUM_LENGTH, CHARACTER_OCTET_LENGTH from
 data_dictionary.columns where table_schema='test' and table_name = 't1';
 drop table t1;
@@ -173,6 +190,7 @@
 set @a:= '.';
 create table t1(f1 char(5));
 create table t2(f1 char(5));
+--sorted_result
 select concat(@a, table_name), @a, table_name
 from data_dictionary.tables where table_schema = 'test';
 drop table t1,t2;
@@ -243,6 +261,7 @@
 #
 # Bug#24630  Subselect query crashes mysqld
 #
+--sorted_result
 select 1 as f1 from data_dictionary.tables  where "CHARACTER_SETS"=
 (select cast(table_name as char)  from data_dictionary.tables
  order by table_name limit 1) limit 1;
@@ -297,12 +316,14 @@
 #
 # Bug#30795 Query on data_dictionary.schemas, wrong result
 #
+--sorted_result
 SELECT SCHEMA_NAME FROM data_dictionary.schemas
 WHERE SCHEMA_NAME ='data_dictionary';
                                                                                                  
 #
 # Bug#31381 Error in retrieving Data from INFORMATION_SCHEMA
 #
+--sorted_result
 SELECT TABLE_COLLATION FROM data_dictionary.tables
 WHERE TABLE_SCHEMA='mysql' and TABLE_NAME= 'db';
 
@@ -310,11 +331,13 @@
 --echo # Test that the query is visible to self and others.
 --echo #
 
+--sorted_result
 SELECT info FROM data_dictionary.processlist WHERE id = CONNECTION_ID();
 
 #
 # do a query on the PROCESSLIST table in I_S to ensure it works correctly
 #
+--sorted_result
 SELECT info, command, db
 FROM data_dictionary.processlist
 WHERE id = CONNECTION_ID();

=== modified file 'tests/t/information_schema_inno.test'
--- tests/t/information_schema_inno.test	2010-02-19 23:07:45 +0000
+++ tests/t/information_schema_inno.test	2010-07-08 22:17:25 +0000
@@ -17,6 +17,7 @@
 
 #select * from information_schema.OLD_TABLE_CONSTRAINTS where
 #TABLE_SCHEMA= "test";
+--sorted_result
 select * from data_dictionary.indexes where TABLE_SCHEMA= "test";
 
 drop table t3, t2, t1;

=== modified file 'tests/t/randgen_queries.test'
--- tests/t/randgen_queries.test	2010-04-03 07:00:41 +0000
+++ tests/t/randgen_queries.test	2010-07-08 22:17:25 +0000
@@ -46,7 +46,8 @@
 set AUTOCOMMIT=OFF;
 
 #
-select table_schema, 
+select SQL_BIG_RESULT
+       table_schema, 
        table_name, 
        CASE WHEN table_type = 'STANDARD' THEN 'table' 
             WHEN table_type = 'FUNCTION' then 'function' 
@@ -56,15 +57,18 @@
              WHEN IS_INDEXED = 'TRUE' THEN 'indexed' 
        ELSE 'indexed' END 
        FROM data_dictionary.tables INNER JOIN
-            data_dictionary.columns USING(table_schema, table_name) limit 20;
-
-
+            data_dictionary.columns USING(table_schema, table_name) ORDER BY table_schema, table_name limit 20;
+
+
+--sorted_result
 select AVG(`col_int_key`) + AVG(`col_int`) AS average1,
                         (SUM(`col_int_key`) + SUM(`col_int`)) / COUNT(*) AS average2,
                         COUNT(*) AS count FROM t1;
 
+--sorted_result
 select collation_name,character_set_name FROM data_dictionary.collations;
 --replace_column 1 ####.##.####
+--sorted_result
 select COUNT(*) from data_dictionary.tables;
 
 DROP TABLE t1;

